> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.ard.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get location information

> Replies with a JSON object containing a location's info, including coordinates, timezone, elevation, etc.



## OpenAPI

````yaml api-reference/pinpoint/openapi.json get /location/{id}
openapi: 3.0.1
info:
  title: Pinpoint API
  description: >-
    Weather forecast API providing hourly and daily forecasts, location
    information, and weather parameters
  version: 1.0.0
servers:
  - url: http://pinpoint.devops.arabiaweather.com
    description: Development API server
  - url: http://n01.pinpoint.devops.arabiaweather.com
    description: Development node n01
  - url: http://n02.pinpoint.devops.arabiaweather.com
    description: Development node n02
  - url: http://n03.pinpoint.devops.arabiaweather.com
    description: Development node n03
  - url: http://n04.pinpoint.devops.arabiaweather.com
    description: Development node n04
  - url: http://n05.pinpoint.devops.arabiaweather.com
    description: Development node n05
  - url: http://internal-tools-pinpoint.devops.arabiaweather.com
    description: Internal tools API server
security: []
tags:
  - name: forecast
  - name: parameters
  - name: location
  - name: admin
  - name: debug
paths:
  /location/{id}:
    get:
      tags:
        - location
      summary: Get location information
      description: >-
        Replies with a JSON object containing a location's info, including
        coordinates, timezone, elevation, etc.
      parameters:
        - name: id
          in: path
          description: Location ID
          required: true
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: Location information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LocationInfoResponse'
          headers: {}
        '404':
          description: Location not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    LocationInfoResponse:
      type: object
      properties:
        arabic_name:
          type: string
          description: Location name in Arabic
        english_name:
          type: string
          description: Location name in English
        french_name:
          type: string
          description: Location name in French
        country_code:
          type: string
          description: ISO country code
        country_arabic_name:
          type: string
          description: Country name in Arabic
        country_english_name:
          type: string
          description: Country name in English
        country_french_name:
          type: string
          description: Country name in French
        admin_id:
          type: integer
          description: Administrative region ID
          nullable: true
        admin_arabic_name:
          type: string
          description: Administrative region name in Arabic
          nullable: true
        admin_english_name:
          type: string
          description: Administrative region name in English
          nullable: true
        admin_french_name:
          type: string
          description: Administrative region name in French
          nullable: true
        lat:
          type: number
          description: Latitude
        lng:
          type: number
          description: Longitude
        timezone:
          type: string
          description: Timezone identifier
        elevation:
          type: number
          description: Elevation in meters
      example:
        arabic_name: شرق عمان
        english_name: East Amman
        french_name: East Amman
        country_code: jo
        country_arabic_name: الأردن
        country_english_name: Jordan
        country_french_name: Jordanie
        admin_id: 269
        admin_arabic_name: عمّان
        admin_english_name: Amman
        admin_french_name: Amman
        lat: 31.9859
        lng: 35.9838
        timezone: Asia/Amman
        elevation: 757
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Error message
        statusCode:
          type: integer
          description: HTTP status code
        statusMessage:
          type: string
          description: HTTP status message
      example:
        error: Location not found
        statusCode: 404
        statusMessage: Not Found

````